Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156265 - Amarok crash (FC3, KDE-RedHat KDE 3.4/3.4.1)
Summary: Amarok crash (FC3, KDE-RedHat KDE 3.4/3.4.1)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: amarok
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 15:27 UTC by Gilboa Davara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-12 07:36:44 UTC


Attachments (Terms of Use)
Amarok crash log. (deleted)
2005-06-15 12:57 UTC, Gilboa Davara
no flags Details

Description Gilboa Davara 2005-04-28 15:27:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
Hello all,

I'm posting this bug here even though I'm not using an official RedHat build as advised by Rex Dieter (of KDE-Redhat).

Long story short:
I'm using kde-redhat amarok (1.2.3-1.0.3.kde) and I've got the strangest problem.
From time to time, with no apparent reason, amarok spews a couple of "end from FAM server connection" and hangs. I tried googling for help, but found nothing. (About the message, or about Amarok itself).
I did find someone with similar problems, but he never got an answer.

This might be usefull:
gamin version: gamin-0.0.25-1.FC3

Configuration:
OS: FC3 / KDE 3.4, 2.6.11-14.
Amarok sound: Arts.
P4 3.06HT, 1GB.



Version-Release number of selected component (if applicable):
amarok-1.2.3-1.0.3.kde

How reproducible:
Sometimes

Steps to Reproduce:
1. Start amarokapp from console.
2. Let it play a couple (1..n) of tracks.
3. Hang.
4. Check output. 
  

Actual Results:  Amarok hangs.
System tray icon stops responding.


Additional info:

Console output:
[bah@bah ~]$ amarokapp
QObject::connect: Cannot connect Engine::Base::statusText( const QString& ) to (null)::shortMessage( const QString& )
QObject::connect: Cannot connect Engine::Base::infoMessage( const QString& ) to (null)::longMessage( const QString& )
QLayout: Adding KToolBar/mainToolBar (child of QVBox/unnamed) to layout for PlaylistWindow/PlaylistWindow
STARTUP
end from FAM server connection
end from FAM server connection
end from FAM server connec

Comment 1 Rex Dieter 2005-04-28 16:33:11 UTC
To be clear, the build referenced here is simply a rebuild of the Extras amarok
against kde-3.4.

Comment 2 Aurelien Bompard 2005-06-12 07:36:44 UTC
I'm using the same build, and I never triggered this bug. If you have any more
info, feel free to post it here.

Comment 3 Gilboa Davara 2005-06-15 12:57:00 UTC
Created attachment 115472 [details]
Amarok crash log.

Crash message:
amaroK has crashed! We're terribly sorry about this :(

But, all is not lost! You could potentially help us fix the crash. amaroK has
attached a backtrace that describes the crash, so just click send, or if you
have time, write a brief description of how the crash happened first.

Many thanks.
Engine:     arts-engine
Build date: May 23 2005
CC version: 3.4.3 20050227 (Red Hat 3.4.3-22.fc3)
KDElibs:    3.4.0-5.3.3.kde
TagLib:     1.3.1
NDEBUG:     true

Comment 4 Michael Schwendt 2005-06-15 13:11:13 UTC
> KDElibs:    3.4.0-5.3.3.kde

That is not Fedora Core 3.

Also, since you experience crashes, did you have the amarok-debuginfo package
installed?

Comment 5 Gilboa Davara 2005-06-15 13:35:29 UTC
Sorry, my mistake, you must have missed the initial comment(s).
I'm using KDE-RedHat project's KDE 3.4.x packages for FC3.
I've been requested by Rex Dieter (Of KDE-RedHat project, see comment #1) to
post the bug here.

During the weekend I'll try and reproduce the bug on my shiny new FC4/64
machine. (Which uses the 'generic' FC4 Amarok package.)

I'm currently running amarokapp under gdb; Hopefully I'll be able to extract
some meaningfull debug info.

Gilboa

Comment 6 Aurelien Bompard 2005-06-15 13:49:45 UTC
I've seen many times on the amarok-devel mailing-list: "Stop using artsd, it's
broken"...
Still, if you can get some useful info, I'll post it upstream.

Comment 7 Gilboa Davara 2005-06-16 13:01:21 UTC
I managed to hang it under gdb.

(gdb) info  threads
  2 Thread -1232077904 (LWP 4825)  0x0066c7a2 in _dl_sysinfo_int80 () from
/lib/ld-linux.so.2
  1 Thread -1208121664 (LWP 1790)  0x0066c7a2 in _dl_sysinfo_int80 () from
/lib/ld-linux.so.2
(gdb) thread 1
[Switching to thread 1 (Thread -1208121664 (LWP 1790))]#0  0x0066c7a2 in
_dl_sysinfo_int80 ()
   from /lib/ld-linux.so.2
(gdb) bt
#0  0x0066c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00759bfe in __lll_mutex_lock_wait () from /lib/tls/libc.so.6
#2  0x006ec5cf in _L_mutex_lock_39 () from /lib/tls/libc.so.6
#3  0x08211cdc in ?? ()
#4  0xbfffe950 in ?? ()
#5  0x08321b20 in ?? ()
#6  0x081aaa42 in sqlite3InitCallback ()
#7  0x007103ec in fork () from /lib/tls/libc.so.6
#8  0x008d4484 in fork () from /lib/tls/libpthread.so.0
#9  0x0817b0b4 in amaroK::Crash::crashHandler ()
#10 <signal handler called>
#11 0x006e7042 in malloc_consolidate () from /lib/tls/libc.so.6
#12 0x006e8143 in _int_malloc () from /lib/tls/libc.so.6
#13 0x006e9f01 in malloc () from /lib/tls/libc.so.6
#14 0x03701e94 in QImage::create () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x03703cfe in QImage::create () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x03703d4a in QImage::QImage () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x0370a90c in QImage::smoothScale () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x0370ba87 in QImage::smoothScale () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x08084225 in ?? ()
#20 0xbfffea50 in ?? ()
#21 0xbfffea70 in ?? ()
#22 0x00000064 in ?? ()
#23 0x00000064 in ?? ()
#24 0x00000001 in ?? ()
#25 0x00000002 in ?? ()
#26 0x00000002 in ?? ()
#27 0x00000002 in ?? ()
#28 0x03b7ea08 in vtable for QDir () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x08703698 in ?? ()
#30 0x00000000 in ?? ()
(gdb) thread 2
[Switching to thread 2 (Thread -1232077904 (LWP 4825))]#0  0x0066c7a2 in
_dl_sysinfo_int80 ()
   from /lib/ld-linux.so.2
(gdb) bt
#0  0x0066c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00759bfe in __lll_mutex_lock_wait () from /lib/tls/libc.so.6
#2  0x006ec67b in _L_mutex_lock_3220 () from /lib/tls/libc.so.6
#3  0x08428c30 in ?? ()
#4  0x039fe39d in QString::find () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#5  0x00aa3e31 in operator delete () from /usr/lib/libstdc++.so.6
#6  0x00aa3e7d in operator delete[] () from /usr/lib/libstdc++.so.6
#7  0x039fbd04 in QString::deref () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x039fbf21 in QString::operator= () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x039f8ab3 in QRegExp::prepareEngineForMatch () from
/usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x039f8c7c in QRegExp::search () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x039f8d4f in QRegExp::search () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x03701b24 in QImageIO::imageFormat () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#13 0x037041a4 in QImageIO::read () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x037057c1 in QImage::load () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x0370583a in QImage::QImage () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x08084152 in ?? ()
#17 0xb68feb80 in ?? ()
#18 0xb68feb90 in ?? ()
#19 0x00000000 in ?? ()


Comment 8 Gilboa Davara 2005-06-16 13:35:11 UTC
Crash - o - plenty.
[Thread -1213023312 (LWP 8713) exited]
[New Thread -1213023312 (LWP 8717)]
*** glibc detected *** double free or corruption (fasttop): 0xb6d7ef50 ***

Program received signal SIGABRT, Aborted.
[Switching to Thread -1208121664 (LWP 7716)]
0x0066c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
(gdb) bt
#0  0x0066c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x006ad7d5 in raise () from /lib/tls/libc.so.6
#2  0x006af149 in abort () from /lib/tls/libc.so.6
#3  0x006e127a in __libc_message () from /lib/tls/libc.so.6
#4  0x006e7abf in _int_free () from /lib/tls/libc.so.6
#5  0x006e7e3a in free () from /lib/tls/libc.so.6
#6  0x00aa3e31 in operator delete () from /usr/lib/libstdc++.so.6
#7  0x039e2666 in QGList::takeFirst () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x080c2aa6 in ?? ()
#9  0x08314ee8 in ?? ()
#10 0xbfffe930 in ?? ()
#11 0xbfffe930 in ?? ()
#12 0x00ac644c in ?? () from /usr/lib/libstdc++.so.6
#13 0xb6d6d6b8 in ?? ()
#14 0xbfffe940 in ?? ()
#15 0xbfffe8b8 in ?? ()
#16 0x08219a80 in amaroK::ColorScheme::Text ()
#17 0x00000001 in ?? ()
#18 0x00000001 in ?? ()
#19 0x00000000 in ?? ()



Note You need to log in before you can comment on or make changes to this bug.